:root{
  --primary-color: #ffffff;
  --hover-color: #272832;
  --accent-color: #0071FF;
  --text-color: #000000;
  --shadow: 5px 10px 15px rgba(100,100,100,1);
}
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
font-family:'Times New Roman',Times,serif;
  color: var(--text-color);
  scroll-behavior: smooth; /*For bookmark links*/
}
body{
  min-height: 100vh;
  min-height: 100dvh;
  background-color: var(--primary-color);
}
main{
  padding: 10px; /* min(1em, 1%); */
  /*border:1px solid green;*/
}
main p{
  margin-top: .35em;
}
nav{
  background-color: var(--primary-color);
  border-bottom: 1px solid var(--hover-color);
}
nav ul{
  list-style: none;
  display: flex;
}
nav .home-li{
  margin-right: auto;
}
nav li{
  display: flex;
}
nav a{
  display: flex;
  text-decoration: none;
  color: var(--text-color);
  padding: 1em 2em;
  transition: background-color 150ms ease;
}
nav a:hover{
  background-color: var(--hover-color);
}
nav a.active-link{
  border-bottom: 2px solid var(--text-color);
}
nav a.accent-link{
  background-color: var(--accent-color);
}
#open-sidebar-button{
  display: none;
  background: none;
  border: none;
  padding: 1em;
  margin-left: auto;
  cursor: pointer;
}
#close-sidebar-button{
  display: none;
  background: none;
  border: none;
  padding: 1em;
  cursor: pointer;
}
#overlay{
  background: rgba(0, 0, 0, 0.5);
  position: fixed;
  inset: 0;
  z-index: 9;
  display: none;
}



@media screen and (max-width: 700px) {
  #open-sidebar-button, #close-sidebar-button{
    display: block;
  }
  nav{
    position: fixed;
    top: 0;
    right: -100%;
    height: 100vh;
    width: min(15em, 100%);
    z-index: 10;
    border-left: 1px solid var(--hover-color);
    transition: right 300ms ease-in-out;
  }
  nav.show{
    right: 0;
  }
  nav.show ~ #overlay{
    display: block;
  }
  nav ul{
    width: 100%;
    flex-direction: column;
  }
  nav a{
    width: 100%;
    padding-left: 2.5em;
  }
  nav a.active-link{
    border-bottom: none;
  }
  nav .home-li{
    margin-right: unset;
  }
}

img {
	max-width: 100%;
}

.wrapper {
	display: grid;
	grid-gap: 0px;
	margin-top:0px;
	//border: 1px solid red;
}

/*top container*/
.top-container {
	display: grid;
	grid-gap: 0px;
	grid-template-areas:
		'showcase';
	/*border: 1px solid blue;*/
}

/*Showcase*/
.showcase {
	grid-area: showcase;
	background-position: center top;
	background-repeat:no-repeat;
	padding: 0.5rem;	
	display: flex;
	flex-direction: row; /*column;*/
	align-items: start;
	justify-content: center;
	/*box-shadow: var(--shadow);*/
	/*border: 1px solid black;*/
}

.showcase h1 {
	font-size: 4rem;
	margin-bottom: 0;
	/*color: #59b500;*/
	color: var(--light);
}

.showcase p{
	font-size: 1.3rem;
	margin-top: 0;
	color: var(--light);
}

/*Boxes*/
.boxes{
	display: grid;
	grid-gap: 20px;
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.box{
	background: var(--primary);
	/*text-align: center;*/
	padding: 1.5rem 2rem;
	box-shadow: var(--shadow);
}

.singlebox{
	width: 95%;
	background: var(--primary);
	/*text-align: center;*/
	padding: 1.5rem 2rem;
	/*box-shadow: var(--shadow);*/
	box-shadow: 0px -1px 0px rgba(100,100,100,1);
}

.box a{
	font-size:0.8rem;
	text-decoration:none;
}
/* Datenschutz*/
div.ds{
	font-size: 1.0rem;
}
div.ds h1{
	font-size: 1.2rem;
}
div.ds h2{
	font-size: 1.1rem;
}
div.ds h3{
	font-size: 1.0rem;
}

/*Media Queries*/
@media(max-width: 700px){
	.top-container{
		grid-template-areas:
			'showcase';
	}	
	.showcase h1 {
	font-size: 2.5rem;
	}
	.showcase p{
	font-size: 1.1rem;
	margin-top: 0;
	color: var(--light);
	}	
}


@media(max-width: 500px){
	.top-container{
		grid-template-areas:
			'showcase';
	}	
	.showcase h1 {
	font-size: 1.5rem;
	}
	.showcase p{
	font-size: 1.0rem;
	margin-top: 0;
	color: var(--light);
	}	
}


